<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.ProjectMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.Project">
        select * from tb_project
        <where>  
            <if test="companyId != null "> and company_id = #{companyId}</if>
            <if test="projectName != null  and projectName != ''"> and project_name like concat('%', #{projectName}, '%')</if>
            <if test="projectType != null "> and project_type = #{projectType}</if>
            <if test="num != null  and num != ''"> and num = #{num}</if>
            <if test="contents != null  and contents != ''"> and contents = #{contents}</if>
            <if test="serviceCompany != null  and serviceCompany != ''"> and service_company = #{serviceCompany}</if>
            <if test="sData != null "> and s_data = #{sData}</if>
            <if test="eData != null "> and e_data = #{eData}</if>
            <if test="bData != null "> and b_data = #{bData}</if>
            <if test="peoples != null "> and peoples = #{peoples}</if>
            <if test="top != null "> and top = #{top}</if>
            <if test="state != null "> and state = #{state}</if>
        </where>
    </select>

</mapper>